import {
    Body,
    Controller,
    Get,
    HttpCode,
    HttpStatus,
    Post,
    UploadedFiles,
    UseGuards,
    UseInterceptors
} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdateAccountDashboardCmsDto } from "./dto/update-account-dashboard-cms.dto";
import { AccountDashboardCmsService } from "./account-dashboard-cms.service";

@Controller({path: "account-dashboard-cms", version: Constants.API_VERSION_1})

export class AccountDashboardCmsController {
    constructor(private readonly service: AccountDashboardCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateAccountDashboardCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
