import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {FileUploadsService} from 'src/modules/file-uploads/file-uploads.service';
import {HeaderCmsRepository} from './header-cms.repository';
import {HeaderCmsController} from './header-cms.controller';
import {HeaderCmsService} from './header-cms.service';
import {UsersRepository} from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HeaderCmsRepository])
    ],
    controllers: [HeaderCmsController],
    providers: [HeaderCmsService, JwtHelper, FileUploadsService]
})
export class HeaderCmsModule {
}