import {
    Body,
    Controller,
    Get,
    HttpCode,
    HttpStatus,
    Post,
    UploadedFiles,
    UseGuards,
    UseInterceptors
} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {FileFieldsInterceptor} from "@nestjs/platform-express";
import {UploadedMulterFileI} from "src/modules/SpacesModule/SpacesService";
import { UpdateLooksYouWillLoveCmsDto } from "./dto/update-looks-you-will-love-cms.dto";
import { LooksYouWillLoveCmsService } from "./looks-you-will-love-cms.service";
@Controller({path: "looks-you-will-love-cms", version: Constants.API_VERSION_1})

export class LooksYouWillLoveCmsController {
    constructor(private readonly service: LooksYouWillLoveCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateLooksYouWillLoveCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
