import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {FooterHelpSectionRepository} from './footer-help-section.repository';
import {FooterHelpSectionController} from './footer-help-section.controller';
import {FooterHelpSectionService} from './footer-help-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterHelpSectionRepository])
    ],
    controllers: [FooterHelpSectionController],
    providers: [FooterHelpSectionService, JwtHelper]
})
export class FooterHelpSectionModule {
}
