import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("blog_posts")
export class BlogPost extends CoreEntity {
    @Column()
    photo: string;

    @Column()
    title: string;

    @Column()
    authorImage: string;

    @Column()
    authorName: string;

    @Column()
    publishedAt: Date;

    @Column({type: "longtext"})
    blogDescription: string;

    @Column({default: null, nullable: true})
    urlSlug: string;

    @Column({default: 0})
    totalViews: number;
}
