import { IsNotEmpty, IsEmpty, IsDecimal, IsOptional, IsArray } from "class-validator";
import { Column } from "typeorm";

export class CreateProductDto {
    @IsNotEmpty()
    parentCategoryId: string;

    @IsEmpty()
    parentCategoryName: string;

    @IsNotEmpty()
    name: string;

    @IsOptional()
    featuredImage: string;

    @IsNotEmpty()
    @IsDecimal()
    price: number;

    @IsOptional()
    @IsDecimal()
    discountPrice: number;

    @IsOptional()
    shortDescription: string;

    @IsOptional()
    longDescription: string;

    @IsOptional()
    outerShell: string;

    @IsOptional()
    lining: string;

    @IsNotEmpty()
    sku: string;

    @IsOptional()
    @IsDecimal()
    cost: number;

    @IsOptional()
    stock: number;

    @IsNotEmpty()
    isDeactive: number;

    @IsOptional()
    isReadyToShip: number;

    @IsEmpty()
    totalOrder: number;

    @Column({ default: 0, nullable: true })
    @IsEmpty()
    urlSlug: string;

    @IsNotEmpty()
    color: [string];

    @IsNotEmpty()
    size: [string];

    @IsNotEmpty()
    sales: [string];

    @IsNotEmpty()
    offers: [string];

    @IsNotEmpty()
    cares: [string];

    @IsNotEmpty()
    perks: [string];

    @IsOptional()
    weight: string;

    @IsEmpty()
    averageRating: number;

    @IsEmpty()
    reviewCount: number;
}
