import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('products')
export class Product extends CoreEntity {
    @Column()
    parentCategoryId: string;

    @Column()
    parentCategoryName: string;

    @Column({ default: null, type: "longtext" })
    name: string;

    @Column({ default: 'https://hyman-fashion.nyc3.cdn.digitaloceanspaces.com/default/default.png', nullable: true })
    featuredImage: string;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    price: number;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    discountPrice: number;

    @Column({ default: null, type: "longtext" })
    shortDescription: string;

    @Column({ default: null, type: "longtext" })
    longDescription: string;

    @Column({ default: null, nullable: true })
    outerShell: string;

    @Column({ default: null, nullable: true })
    lining: string;

    @Column({ default: null })
    sku: string;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    cost: number;

    @Column({ default: 0 })
    stock: number;

    @Column({ default: 0, nullable: true })
    isDeactive: number;

    @Column({ default: 0, nullable: true })
    isReadyToShip: number;

    @Column({ default: 0 })
    weight: string;

    @Column({ default: 0, nullable: true })
    totalOrder: number;

    @Column({ default: null, nullable: true })
    urlSlug: string;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    averageRating: number;

    @Column({ default: 0 })
    reviewCount: number;
}
